Page MenuHomePhabricator

PendingChanges is still using MediaWiki:Savearticle, sometimes, in at least the 2010 WikiEditor
Closed, ResolvedPublicBUG REPORT

Description

  1. (Turn off the 2017 wikitext editor, if relevant.)
  2. Go to http://en.wikipedia.org/wiki/Special:PendingChanges and select an article to review. A diff will open.
  3. In the second column of the diff, near the other editor's username, click the small 'Edit' link. (Depending upon your preferences, it may say "Edit source".)
  4. Look at the buttons below the editing window. The Big Blue Button says "Submit changes" (from [[MediaWiki:Revreview-submitedit]]).
  5. Just above the Big Blue Button, tick the box for "Accept this version".
  6. On ticking the box, discover that the Big Blue Button switches to say "Save page" from [[MediaWiki:Savearticle]].

It is surprising to have the button's label change mid-edit.

This change doesn't happen in the 2017 wikitext editor. (It's also not possible to reach the tick box to accept the previous changes without first making some change to the article, as the Big Blue Button is grayed out until you type something.)

(First reported by User:Nick Moyes at enwiki)

Details

Related Gerrit Patches:
mediawiki/extensions/FlaggedRevs : masterChanged "savearticle" message to "publishchanges"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2018, 6:39 PM
Elitre added a subscriber: Elitre.Mar 1 2018, 11:55 AM
TheDJ added a subscriber: TheDJ.Sep 9 2018, 2:13 PM

This is because frontend/modules/ext.flaggedRevs.advanced.js makes assumptions about the msg keys that should be used here.

@TheDJ I have submitted a patch which may resolve this change.

Change 495003 had a related patch set uploaded (by FR30799386; owner: FR30799386):
[mediawiki/extensions/FlaggedRevs@master] Changed "savearticle" message to "publishchanges"

https://gerrit.wikimedia.org/r/495003

@Force_Radical thanks, i'll try to take a look asap.

Change 495003 had a related patch set uploaded (by Jforrester; owner: FR30799386):
[mediawiki/extensions/FlaggedRevs@master] Use "publishchanges" not "savearticle" message, when appropriate

https://gerrit.wikimedia.org/r/495003

Change 495003 had a related patch set uploaded (by TheDJ; owner: FR30799386):
[mediawiki/extensions/FlaggedRevs@master] Changed "savearticle" message to "publishchanges"

https://gerrit.wikimedia.org/r/495003

Change 495003 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Changed "savearticle" message to "publishchanges"

https://gerrit.wikimedia.org/r/495003

TheDJ closed this task as Resolved.Mar 9 2019, 2:56 PM
TheDJ assigned this task to Force_Radical.
TheDJ changed the subtype of this task from "Task" to "Bug Report".
TheDJ removed a project: Patch-For-Review.